import java.util.Scanner;
public class CircleApp
{
    // This is a static variable. It will retain its value alongside class CircleApp
    private static Circle circle = null;

    public static void main(String[] args)
    {
        int option;
        Scanner scanner = new Scanner(System.in);
        do {
            printMenu();
            option = scanner.nextInt();
            if (option == 1) createCircle(scanner);
            else if (option == 2) printArea();
            else if (option == 3) printCircumference();
        } while (option < 4);
        System.out.println("Thank you!!");
    }

    private static void printCircumference() {
        if (circle == null) System.out.println("Create a circle first.");
        else circle.printCircumference();
    }

    private static void printArea() {
        if (circle == null) System.out.println("Create a circle first.");
        else circle.printArea();
    }

    private static void createCircle(Scanner scanner) {
        System.out.println("Enter the radius to compute the area and circumference");
        double radius = scanner.nextDouble();
        circle = new Circle(radius);
        System.out.println("A new circle is created");
    }

    private static void printMenu() {
        System.out.println("==== Circle Computation =====");
        System.out.println("|1. Create a new circle     |");
        System.out.println("|2. Print Area              |");
        System.out.println("|3. Print circumference     |");
        System.out.println("|4. Quit                    |");
        System.out.println("=============================");
        System.out.println("Choose option (1-3):");
    }
}
