package coins;

public class Coin
{
    private final double value;
    private final char symbol;
    private final String description;

    public Coin(double value, char symbol, String description)
    {
        this.value = value;
        this.symbol = symbol;
        this.description = description;
    }

    public double getValue()
    {
        return value;
    }

    public char getSymbol()
    {
        return symbol;
    }

    public String getDescription()
    {
        return description;
    }
}
