public class Cylinder extends Circle {
    private double height;

    public Cylinder() { height = 1; }
    public Cylinder(double height) { this.height = height;}
    public Cylinder(double radius, double height) { super(radius); this.height = height; }
    public Cylinder(int x, int y, double radius) { super(x, y, radius); height = 1; }
    public Cylinder(int x, int y, double radius, double height) { super(x, y, radius); this.height = height; }

    public double getHeight() { return height; }
    public void setHeight(double height) { this.height = height; }

    public double area() { return 2 * (super.area() + Math.PI * super.getRadius() * height); }
    public double volume() { return super.area() * height; };

    // WRONG - It goes against Java's encapsulation rules. A class should only have access to its parent, without bypassing it.
    public String toString() { return String.format("Cylinder of height %.2f, radius %.2f at point %s", height, getRadius(), super.super.toString()); }
}
